/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: ItfInvocation00.java 211 2006-03-16 15:45:30Z studzine $
 * --------------------------------------------------------------------------
 */
package org.objectweb.easybeans.tests.common.ejbs.base;

import org.objectweb.easybeans.tests.common.interceptors.invocationcontext.BeanDescriptor;


/**
 * This interface is used to manipulate the invocation context.
 * @author Gisele Pinheiro Souza
 * @author Eduardo Studzinski E. de Castro
 */
public interface ItfInvocation00 {

    /**
     * Gets a boolean value.
     * @param beanDescriptor bean descriptor
     * @return boolean
     */
    boolean getBool(BeanDescriptor beanDescriptor);
}
